[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: gfortran transition update


looks like the gdb on pergolesi amd64 lenny chroot is too old
to handle current sid binaries... debian-admin needs to upgrade
it. Alternatively you need a account from wookey ;)

On Tue, Nov 13, 2007 at 02:12:57PM -0500, Camm Maguire wrote:
> Greetings!  OK got a local gfortran setup on pergolesi, but only in
> the lenny_amd64 chroot, as this appears the only pure amd64 with a
> libc6-dev installed.  (I don't know how to navigate the biarch)

> Using a local sid gcc/gfortran setup, I can reproduce the failure, but
> cannot debug:

> camm@pergolesi:~/blas-1.2$ gdb cblas/testing/xscblat1
> GNU gdb 6.4.90-debian
> Copyright (C) 2006 Free Software Foundation, Inc.
> GDB is free software, covered by the GNU General Public License, and you are
> welcome to change it and/or distribute copies of it under certain conditions.
> Type "show copying" to see the conditions.
> There is absolutely no warranty for GDB.  Type "show warranty" for details.
> This GDB was configured as "x86_64-linux-gnu"...BFD: /home/camm/blas-1.2/cblas/testing/xscblat1: don't know how to handle OS specific section `.gnu.hash' [0x6ffffff6]
> "/home/camm/blas-1.2/cblas/testing/xscblat1": not in executable format: File format not recognized

Reply to: